[arch-commits] Commit in redland (3 files)

Andrea Scarpino andrea at archlinux.org
Wed Jan 20 09:01:36 UTC 2010


    Date: Wednesday, January 20, 2010 @ 04:01:36
  Author: andrea
Revision: 64431

fix librdf_storage_virtuoso.so

Added:
  redland/kde-unstable/
  redland/kde-unstable/librdf_storage_register_factory.patch
Modified:
  redland/kde-unstable/PKGBUILD

----------------------------------------------------+
 PKGBUILD                                           |   34 +++++++++++--------
 kde-unstable/librdf_storage_register_factory.patch |   12 ++++++
 2 files changed, 33 insertions(+), 13 deletions(-)

Modified: kde-unstable/PKGBUILD
===================================================================
--- trunk/PKGBUILD	2010-01-20 08:41:28 UTC (rev 64430)
+++ kde-unstable/PKGBUILD	2010-01-20 09:01:36 UTC (rev 64431)
@@ -4,22 +4,30 @@
 
 pkgname=redland
 pkgver=1.0.10
-pkgrel=1
+pkgrel=2
 pkgdesc="Library that provides a high-level interface to RDF data"
 url="http://librdf.org/"
-license="GPL"
+license=('GPL')
 arch=('i686' 'x86_64')
-depends=('raptor>=1.4.20' 'db>=4.8' 'postgresql-libs>=8.4.2' 'libmysqlclient>=5.1.42' 'sqlite3>=3.6.21' 
-         'curl>=7.19.7' 'libxslt>=1.1.26' 'mpfr>=2.4.1' 'libtool' 'rasqal>=0.9.17' 'unixodbc')
-makedepends=('gtk-doc')
-source=(http://download.librdf.org/source/$pkgname-$pkgver.tar.gz)
-options=(!libtool)
-md5sums=('bdbb9b8dc614fc09a14cd646079619e1')
+depends=('postgresql-libs' 'libmysqlclient' 'sqlite3' 'rasqal' 'libiodbc' 'libtool')
+makedepends=('pkgconfig' 'gtk-doc')
+# we need librdf.la
+#options=('!libtool')
+source=(http://download.librdf.org/source/$pkgname-$pkgver.tar.gz
+	'librdf_storage_register_factory.patch')
+md5sums=('bdbb9b8dc614fc09a14cd646079619e1'
+         '4562101ac0bbee19488cf34cec7923f1')
 
 build() {
-        cd ${srcdir}/${pkgname}-${pkgver}
-         ./configure --prefix=/usr --enable-release --disable-static \
-	             --with-raptor=system --with-rasqal=system --with-sqlite=3
-        make || return 1
-        make DESTDIR=$startdir/pkg install || return 1
+  cd ${srcdir}/${pkgname}-${pkgver}
+
+  # Fix librdf_storage_virtuoso.so
+  patch -Np1 -i ${srcdir}/librdf_storage_register_factory.patch || return 1
+  sed -i -e '/SHAVE/d' configure.ac
+  autoreconf
+
+  ./configure --prefix=/usr \
+    --without-threads
+  make || return 1
+  make DESTDIR=${pkgdir} install || return 1
 }

Added: kde-unstable/librdf_storage_register_factory.patch
===================================================================
--- kde-unstable/librdf_storage_register_factory.patch	                        (rev 0)
+++ kde-unstable/librdf_storage_register_factory.patch	2010-01-20 09:01:36 UTC (rev 64431)
@@ -0,0 +1,12 @@
+diff -ur redland-1.0.10.orig/src/Makefile.am redland-1.0.10/src/Makefile.am
+--- redland-1.0.10.orig/src/Makefile.am	2009-11-23 08:38:32.000000000 +0200
++++ redland-1.0.10/src/Makefile.am	2009-12-18 15:29:10.000000000 +0200
+@@ -152,7 +152,7 @@
+ plugin_LTLIBRARIES += librdf_storage_virtuoso.la 
+ librdf_storage_virtuoso_la_SOURCES = rdf_storage_virtuoso.c rdf_storage_virtuoso_internal.h
+ librdf_storage_virtuoso_la_CPPFLAGS = @ODBC_CFLAGS@
+-librdf_storage_virtuoso_la_LIBADD = @ODBC_LIBS@
++librdf_storage_virtuoso_la_LIBADD = @ODBC_LIBS@ librdf.la
+ librdf_storage_virtuoso_la_LDFLAGS = -module -avoid-version
+ endif
+ 




More information about the arch-commits mailing list